Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IAttractor

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IField
                  igeo.I3DField
                      igeo.IAttractor

All Implemented Interfaces:
  I3DFieldI, IDynamics, IFieldI, ISubobject

    public class IAttractor

extends I3DField

Attractor field defined by a center point.

Author:
  Satoru Sugihara

Field Summary
`(package private) IPoint` | `point`

Fields inherited from class igeo.I3DField
`field`

Fields inherited from class igeo.IField
`targetClasses`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`IAttractor(double x, double y, double z)`
`IAttractor(double x, double y, double z, double intensity)`
`IAttractor(IVecI p)`
`IAttractor(IVecI p, double intensity)`

Method Summary
`IAttractor` | `bidirectional(boolean b)` if bidirectional is on, field force vector is flipped when velocity of particle is going opposite
`IAttractor` | `clr(double dgray)`
`IAttractor` | `clr(double dgray, double dalpha)`
`IAttractor` | `clr(double dr, double dg, double db)`
`IAttractor` | `clr(double dr, double dg, double db, double da)`
`IAttractor` | `clr(float fgray)`
`IAttractor` | `clr(float fgray, float falpha)`
`IAttractor` | `clr(float fr, float fg, float fb)`
`IAttractor` | `clr(float fr, float fg, float fb, float fa)`
`IAttractor` | `clr(IColor c)` to set an object color
`IAttractor` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
`IAttractor` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
`IAttractor` | `clr(int gray)`
`IAttractor` | `clr(int gray, int alpha)`
`IAttractor` | `clr(int r, int g, int b)`
`IAttractor` | `clr(int r, int g, int b, int a)`
`IAttractor` | `clr(IObject o)` to set the same color with the object
`IAttractor` | `constantIntensity(boolean b)` if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used
`IAttractor` | `decay(IDecay decay, double threshold)` custom decay
`void` | `del()` delete agent and stop it by removing it from dynamics server
`void` | `del(boolean deleteGeometry)` stop agent with option of deleting/keeping the geometry the agent owns
`IAttractor` | `gauss(double threshold)` alias of gaussianDecay
`IAttractor` | `gaussian(double threshold)` alias of gaussianDecay
`IAttractor` | `gaussianDecay(double threshold)` set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
`double` | `getSize()`
`IAttractor` | `hide()`
`IAttractor` | `hsb(double h, double s, double b)`
`IAttractor` | `hsb(double h, double s, double b, double a)`
`IAttractor` | `hsb(float h, float s, float b)`
`IAttractor` | `hsb(float h, float s, float b, float a)`
`IAttractor` | `intensity(double i)` set output intensity
`IAttractor` | `layer(ILayer l)` Set layer by ILayer object
`IAttractor` | `linear(double threshold)` alias of linearDecay
`IAttractor` | `linearDecay(double threshold)` set linear decay with threshold; When distance is equal to threshold, output is zero.
`IAttractor` | `name(java.lang.String nm)` methods of IObject
`IAttractor` | `noDecay()` set no decay
`IVec` | `pos()`
`IAttractor` | `setColor(double dgray)`
`IAttractor` | `setColor(double dgray, double dalpha)`
`IAttractor` | `setColor(double dr, double dg, double db)`
`IAttractor` | `setColor(double dr, double dg, double db, double da)`
`IAttractor` | `setColor(float fgray)`
`IAttractor` | `setColor(float fgray, float falpha)`
`IAttractor` | `setColor(float fr, float fg, float fb)`
`IAttractor` | `setColor(float fr, float fg, float fb, float fa)`
`IAttractor` | `setColor(IColor c)`
`IAttractor` | `setColor(IColor c, int alpha)`
`IAttractor` | `setColor(int gray)`
`IAttractor` | `setColor(int gray, int alpha)`
`IAttractor` | `setColor(int r, int g, int b)`
`IAttractor` | `setColor(int r, int g, int b, int a)`
`IAttractor` | `setHSBColor(double h, double s, double b)`
`IAttractor` | `setHSBColor(double h, double s, double b, double a)`
`IAttractor` | `setHSBColor(float h, float s, float b)`
`IAttractor` | `setHSBColor(float h, float s, float b, float a)`
`IAttractor` | `setSize(double sz)` methods of IPoint
`IAttractor` | `show()`
`double` | `size()`
`IAttractor` | `size(double sz)`
`IAttractor` | `threshold(double t)` set decay threshold
`IAttractor` | `weight(double w)`
`IAttractor` | `weight(float w)`

Methods inherited from class igeo.I3DField
`applyField, field, get, get, intensity, threshold`

Methods inherited from class igeo.IField
`clr, clr, clr, clr, clr, interact, isTarget, isTargetClass, setColor, setColor, target, target, targetClass, targetClass`

Methods inherited from class igeo.IAgent
`addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

Methods inherited from class igeo.IObject
`addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, cp, createGraphic, defaultAttribute, deleteGraphic, dup, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setColor, setColor, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, userData, userData, userData, userDataNum, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### point

    IPoint point

Constructor Detail

### IAttractor

    public IAttractor(IVecI p,
                      double intensity)

### IAttractor

    public IAttractor(IVecI p)

### IAttractor

    public IAttractor(double x,
                      double y,
                      double z,
                      double intensity)

### IAttractor

    public IAttractor(double x,
                      double y,
                      double z)

Method Detail

### pos

    public IVec pos()

### noDecay

    public IAttractor noDecay()

  Description copied from class: `I3DField`
  set no decay

  Specified by:
    `noDecay` in interface `IFieldI`
  Overrides:
    `noDecay` in class `I3DField`

### linearDecay

    public IAttractor linearDecay(double threshold)

  Description copied from class: `I3DField`
  set linear decay with threshold; When distance is equal to threshold, output is zero.

  Specified by:
    `linearDecay` in interface `IFieldI`
  Overrides:
    `linearDecay` in class `I3DField`

### linear

    public IAttractor linear(double threshold)

  Description copied from class: `I3DField`
  alias of linearDecay

  Specified by:
    `linear` in interface `IFieldI`
  Overrides:
    `linear` in class `I3DField`

### gaussianDecay

    public IAttractor gaussianDecay(double threshold)

  Description copied from class: `I3DField`
  set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).

  Specified by:
    `gaussianDecay` in interface `IFieldI`
  Overrides:
    `gaussianDecay` in class `I3DField`

### gaussian

    public IAttractor gaussian(double threshold)

  Description copied from class: `I3DField`
  alias of gaussianDecay

  Specified by:
    `gaussian` in interface `IFieldI`
  Overrides:
    `gaussian` in class `I3DField`

### gauss

    public IAttractor gauss(double threshold)

  Description copied from class: `I3DField`
  alias of gaussianDecay

  Specified by:
    `gauss` in interface `IFieldI`
  Overrides:
    `gauss` in class `I3DField`

### decay

    public IAttractor decay(IDecay decay,
                            double threshold)

  Description copied from class: `I3DField`
  custom decay

  Specified by:
    `decay` in interface `IFieldI`
  Overrides:
    `decay` in class `I3DField`

### constantIntensity

    public IAttractor constantIntensity(boolean b)

  Description copied from class: `I3DField`
  if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used

  Specified by:
    `constantIntensity` in interface `IFieldI`
  Overrides:
    `constantIntensity` in class `I3DField`

### bidirectional

    public IAttractor bidirectional(boolean b)

  if bidirectional is on, field force vector is flipped when velocity of particle is going opposite

  Specified by:
    `bidirectional` in interface `IFieldI`
  Overrides:
    `bidirectional` in class `I3DField`

### threshold

    public IAttractor threshold(double t)

  Description copied from class: `I3DField`
  set decay threshold

  Specified by:
    `threshold` in interface `IFieldI`
  Overrides:
    `threshold` in class `I3DField`

### intensity

    public IAttractor intensity(double i)

  Description copied from class: `I3DField`
  set output intensity

  Specified by:
    `intensity` in interface `IFieldI`
  Overrides:
    `intensity` in class `I3DField`

### name

    public IAttractor name(java.lang.String nm)

  methods of IObject

  Overrides:
    `name` in class `IField`

### layer

    public IAttractor layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IField`

### show

    public IAttractor show()

  Overrides:
    `show` in class `IField`

### hide

    public IAttractor hide()

  Overrides:
    `hide` in class `IField`

### del

    public void del()

  Description copied from class: `IAgent`
  delete agent and stop it by removing it from dynamics server

  Specified by:
    `del` in interface `IFieldI`
  Overrides:
    `del` in class `I3DField`

### del

    public void del(boolean deleteGeometry)

  stop agent with option of deleting/keeping the geometry the agent owns

  Overrides:
    `del` in class `I3DField`

### clr

    public IAttractor clr(IColor c)

  Description copied from class: `IObject`
  to set an object color

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(IColor c,
                          int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(IColor c,
                          float alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(IObject o)

  Description copied from class: `IObject`
  to set the same color with the object

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(int gray)

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(float fgray)

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(double dgray)

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(int gray,
                          int alpha)

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(float fgray,
                          float falpha)

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(double dgray,
                          double dalpha)

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(int r,
                          int g,
                          int b)

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(float fr,
                          float fg,
                          float fb)

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(double dr,
                          double dg,
                          double db)

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(int r,
                          int g,
                          int b,
                          int a)

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(float fr,
                          float fg,
                          float fb,
                          float fa)

  Overrides:
    `clr` in class `IField`

### clr

    public IAttractor clr(double dr,
                          double dg,
                          double db,
                          double da)

  Overrides:
    `clr` in class `IField`

### hsb

    public IAttractor hsb(float h,
                          float s,
                          float b,
                          float a)

  Overrides:
    `hsb` in class `IField`

### hsb

    public IAttractor hsb(double h,
                          double s,
                          double b,
                          double a)

  Overrides:
    `hsb` in class `IField`

### hsb

    public IAttractor hsb(float h,
                          float s,
                          float b)

  Overrides:
    `hsb` in class `IField`

### hsb

    public IAttractor hsb(double h,
                          double s,
                          double b)

  Overrides:
    `hsb` in class `IField`

### setColor

    public IAttractor setColor(IColor c)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IAttractor setColor(IColor c,
                               int alpha)

  Overrides:
    `setColor` in class `IAgent`

### setColor

    public IAttractor setColor(int gray)

  Overrides:
    `setColor` in class `IField`

### setColor

    public IAttractor setColor(float fgray)

  Overrides:
    `setColor` in class `IField`

### setColor

    public IAttractor setColor(double dgray)

  Overrides:
    `setColor` in class `IField`

### setColor

    public IAttractor setColor(int gray,
                               int alpha)

  Overrides:
    `setColor` in class `IField`

### setColor

    public IAttractor setColor(float fgray,
                               float falpha)

  Overrides:
    `setColor` in class `IField`

### setColor

    public IAttractor setColor(double dgray,
                               double dalpha)

  Overrides:
    `setColor` in class `IField`

### setColor

    public IAttractor setColor(int r,
                               int g,
                               int b)

  Overrides:
    `setColor` in class `IField`

### setColor

    public IAttractor setColor(float fr,
                               float fg,
                               float fb)

  Overrides:
    `setColor` in class `IField`

### setColor

    public IAttractor setColor(double dr,
                               double dg,
                               double db)

  Overrides:
    `setColor` in class `IField`

### setColor

    public IAttractor setColor(int r,
                               int g,
                               int b,
                               int a)

  Overrides:
    `setColor` in class `IField`

### setColor

    public IAttractor setColor(float fr,
                               float fg,
                               float fb,
                               float fa)

  Overrides:
    `setColor` in class `IField`

### setColor

    public IAttractor setColor(double dr,
                               double dg,
                               double db,
                               double da)

  Overrides:
    `setColor` in class `IField`

### setHSBColor

    public IAttractor setHSBColor(float h,
                                  float s,
                                  float b,
                                  float a)

  Overrides:
    `setHSBColor` in class `IField`

### setHSBColor

    public IAttractor setHSBColor(double h,
                                  double s,
                                  double b,
                                  double a)

  Overrides:
    `setHSBColor` in class `IField`

### setHSBColor

    public IAttractor setHSBColor(float h,
                                  float s,
                                  float b)

  Overrides:
    `setHSBColor` in class `IField`

### setHSBColor

    public IAttractor setHSBColor(double h,
                                  double s,
                                  double b)

  Overrides:
    `setHSBColor` in class `IField`

### weight

    public IAttractor weight(double w)

  Overrides:
    `weight` in class `IField`

### weight

    public IAttractor weight(float w)

  Overrides:
    `weight` in class `IField`

### setSize

    public IAttractor setSize(double sz)

  methods of IPoint

### size

    public IAttractor size(double sz)

### getSize

    public double getSize()

### size

    public double size()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD